@import "../../../../scss/variables.scss";
@import "../../../../../node_modules/bulma/sass/utilities/_all";

::placeholder {
  color: $grey-dark-color;
  opacity: 1;
}

.component-wrapper {
  max-width: 100vw;
  // overflow-y: scroll;
}

.restricted-access-container {
  @media screen and (min-width: $tablet) {
    height: 89px;
  }

  @media screen and (min-width: $desktop) {
    height: 74px;
  }
}

.table-map-header {
  height: 138px;
  display: flex;
  justify-content: space-between;
  background-color: $grey-background-color;
  padding: 0.75rem 1.25rem 0.75rem 1.25rem;

  &.has-only-one-right-column {
    justify-content: flex-end;
  }

  &.has-only-table-or-map {
    height: 60px;

    .right-section {
      margin-bottom: 0;
    }
  }

  @media screen and (min-width: $tablet) {
    height: 104px;

    .left-section {
      flex-grow: 1;
    }
  }

  @media screen and (min-width: $desktop) {
    height: 60px;
  }

  @media screen and (max-width: $desktop - 1px) {
    flex-wrap: wrap-reverse;

    .left-section,
    .right-section {
      flex-grow: 1;
      width: 100%;
      align-items: center;
    }

    .right-section {
      display: flex;
      margin-bottom: 0.5rem;
    }
  }

  .button {
    height: 2.25rem;
  }

  .left-section {
    display: flex;

    @media screen and (max-width: $tablet) {
      flex-wrap: wrap;
    }
  }

  .properties-dropdown button {
    background-image: url('../../../../assets/img/picto_colonnes.svg');
    background-size: 36px 36px;
    background-repeat: no-repeat;
    background-position: center;
  }

  .dropdown-content {
    max-height: 400px;
    overflow-y: auto;
  }

  .right-section .button {
    margin-left: 1rem;

    @media screen and (max-width: $desktop) {
      &.button-toogle-table-map {
        flex-grow: 1;
        justify-content: center;
      }

      &:first-of-type {
        margin-left: 0;
      }
    }
  }

  .left-section .button {
    margin-right: 1rem;
  }

  .button-toogle-table-map {
    width: 100px;
    justify-content: flex-start;

    img {
      height: 26px;
      margin-right: 0.5rem;
    }
  }
}

.table-map-header-mobile {
  // height: 138px;
  background-color: $grey-background-color;
  padding: 0.75rem 1.25rem 0.75rem 1.25rem;

  .button {
    height: 2.25rem;
    width: 2.25rem;
    padding: 0;
    flex-shrink: 0;
  }

  .mobile-search-toggle-button svg path {
    fill: $grey-dark-color;
  }

  .mobile-search-toggle-button svg.close-btn path {
    fill: $tomato-color;
  }

  .header-first-row {
    display: flex;
    margin-bottom: 0.5rem;

    .table-research {
      display: flex;
      flex-grow: 1;
      margin-right: 0.5rem;
      overflow: hidden;
    }

    .documents-number {
      width: 100%;
      flex-grow: 1;
      margin-right: 0.5rem;
      transition: width 0.4s;
      max-height: 24px;
      max-width: unset;
    }

    .document-number-is-hidden {
      width: 0;
      margin-right: 0;
      overflow: hidden;
    }
  }

  .table-map-switch-button {
    display: flex;
  }

  .button-toogle-table-map {
    // width: 100px;
    justify-content: center;
    flex-grow: 1;

    &:first-of-type {
      margin-right: 0.5rem;
    }

    img {
      height: 26px;
      margin-right: 0.5rem;
    }
  }

  .search-bar {
    transition: width 0.4s;
    width: 100%;
    margin-left: 0.5rem;
  }

  .search-bar-is-hidden {
    width: 0;
    height: 0;
    overflow: hidden;
    margin-left: 0;
  }
}

.button-research .button {
  background-color: $blue-color;

  @media screen and (max-width: $tablet) {
    margin-right: 0;
  }

  .icon {
    width: 26px;
    height: 26px;
  }

  .icon,
  i {
    color: white;
  }
}

.search-bar {
  @media screen and (max-width: $desktop) {
    flex-grow: 1;

    .research-input {
      width: 100%;
      display: flex;
    }

    .input {
      flex-grow: 1;
    }
  }

  .field {
    height: 2.25rem;

    .reset-research-icon {
      cursor: pointer;
      pointer-events: auto;

      i {
        font-size: 0.875rem;
      }
    }

    .button,
    .input,
    .reset-research-icon {
      height: 2.25rem;
    }

    .input {
      @media screen and (min-width: $desktop) {
        width: 18.75rem;
      }

      box-shadow: none;
    }
  }
}

.documents-number {
  border-bottom: 2px solid #ccd6ea;
  position: relative;
  align-self: center;
  padding-bottom: 0.2rem;
  flex-grow: 1;
  max-width: 21rem;

  @media screen and (max-width: $tablet) {
    width: 100%;
    margin-top: 0.5rem;
  }
}

.result-number-bar {
  border-bottom: 2px solid $blue-color;
  position: absolute;
  top: 2px;
  height: 100%;
  left: 0;
}

.research-documents-number {
  color: $blue-color;
  font-weight: bold;
}

.is-greyish {
  background-color: #e7e7e7;
  opacity: 0.7;
}

.button-with-icon {
  width: 2.25rem;
}

.btn-exit-fullscreen {
  background-image: url('../../../../assets/img/picto_fullscreen_off.svg');
  background-size: 36px 36px;
  background-repeat: no-repeat;
  background-position: center;
}

.btn-fullscreen {
  background-image: url('../../../../assets/img/picto_fullscreen_on.svg');
  background-size: 36px 36px;
  background-repeat: no-repeat;
  background-position: center;
}
.btn-new{
  background-image: url('../../../../assets/img/layers-icon.png');
  background-size: 36px 36px;
  background-repeat: no-repeat;
  background-position: center;
}
.table-map-details-container {
  display: flex;
  border-top: 1px solid $grey-super-light-color;
  position: relative;
  overflow: hidden;
  height: calc(100vh - 138px - 70px);

  @media screen and (min-width: $tablet) {
    // Full height - navbar height - page detail header height - dataset details tabs height - table/map header height
    height: calc(100vh - 70px - 131px - 79px - 104px);
  }

  @media screen and (min-width: $desktop) {
    // Full height - navbar height - page detail header height - dataset details tabs height - table/map header height
    height: calc(100vh - 70px - 131px - 63px - 60px);
  }
}

.table-map-details-container.has-only-table-or-map {
  @media screen and (min-width: $tablet) {
    // Full height - navbar height - page detail header height - dataset details tabs height - table/map header height
    height: calc(100vh - 70px - 131px - 79px - 60px);
  }

  @media screen and (min-width: $desktop) {
    // Full height - navbar height - page detail header height - dataset details tabs height - table/map header height
    height: calc(100vh - 70px - 131px - 63px - 60px);
  }
}

.table-map-details-container.has-restricted {
  @media screen and (min-width: $tablet) {
    // Full height - navbar height - page detail header height - dataset details tabs height - table/map header height - restricted
    height: calc(100vh - 70px - 131px - 79px - 104px - 89px);
  }

  @media screen and (min-width: $desktop) {
    // Full height - navbar height - page detail header height - dataset details tabs height - table/map header height - restricted
    height: calc(100vh - 70px - 131px - 63px - 60px - 74px);
  }
}

.table-map-details-container.has-restricted.has-only-table-or-map {
  @media screen and (min-width: $tablet) {
    // Full height - navbar height - page detail header height - dataset details tabs height - table/map header height - restricted
    height: calc(100vh - 70px - 131px - 79px - 60px - 89px);
  }

  @media screen and (min-width: $desktop) {
    // Full height - navbar height - page detail header height - dataset details tabs height - table/map header height - restricted
    height: calc(100vh - 70px - 131px - 63px - 60px - 74px);
  }
}

.table-map-container {
  display: flex;
  max-width: 100%;
  width: 100%;
  transition: all 0.5s;

  &.reduced {
    max-width: calc(100% - 280px);
  }
}

.table-component-container {
  max-width: 50%;
  min-width: 20%;
  height: 100%;
  border-right: 1px solid $grey-super-light-color;
  transition: all 0.5s;
}

.map-component-container {
  flex-grow: 1;
  height: 100%;
}

.table-map-details-container.noMap {
  .table-component-container {
    max-width: 100%;
    min-width: 100%;
    border-right: none;
  }
}

.table-map-details-container.noTable {
  .table-component-container {
    max-width: 0;
    min-width: 0;
  }
}

.is-fullscreen {
  position: fixed;
  height: 100% !important;
  width: 100% !important;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 999;
}

.component-wrapper.is-fullscreen {
  max-width: 100vw;
  display: flex;
  flex-direction: column;

  .table-map-details-container {
    flex-grow: 1;
  }
}

.data-details-wrapper {
  width: 280px;
  height: 100%;
  top: 0;
  z-index: 3;
  max-width: 80%;
  margin-right: -280px;
  transition: margin 0.5s;

  .app-dataset-data-details {
    max-height: 100%;
  }

  @media screen and (max-width: $tablet) {
    position: absolute;
    width: 100%;
    max-width: 100%;
    margin-right: 0;
    right: -100%;
    transition: right 0.5s;
  }
}

.data-details-opened {
  margin-right: -0;

  @media screen and (max-width: $tablet) {
    right: 0;
  }
}
